package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.entity.dto.FileRequest;
import com.tofly.watermeter.custom.entity.dto.InstallationDto;
import com.tofly.watermeter.entity.Installation;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
public interface InstallationService extends IService<Installation> {


    /**
     * 获取营业区域与片区
     * @return list
     */
    List<Map> getAreaAndZone();

    /**
     * 获取行政区划
     * @return list
     */
    List<Map> getRegion();

    /**
     * 获取报装编号
     * @param areaCode 区域编码
     * @return string
     */
    String getInstallationCode(String areaCode);

    /**
     * 报装文件接口上传
     * @param files 文件列表
     * @return boolean
     */
    FileRequest upLoadInstallation(MultipartFile files);

    /**
     * 报装登记接口
     * @param dto dto
     * @return boolean
     */
    boolean insertInstallation(InstallationDto dto);

    /**
     * 定时同步报装接口
     * @return boolean
     */
    boolean syncInstallation();

}
